be.ehealth.technicalconnector.service.etee.impl

## Class AbstractRevocationStatusChecker

- java.lang.Object
- - be.ehealth.technicalconnector.service.etee.impl.AbstractRevocationStatusChecker

- All Implemented Interfaces:
    RevocationStatusChecker, SessionServiceWithCache
  Direct Known Subclasses:
    ConnectorCRLRevocationStatusChecker, ConnectorOCSPRevocationStatusChecker

      public abstract class AbstractRevocationStatusChecker
      extends Object
      implements RevocationStatusChecker, SessionServiceWithCache

  `RevocationStatusChecker` using the extension of the `X509Certificate`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRevocationStatusChecker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flushCache()` Method to flush the cache after invoking this method.
    `boolean` | `isRevoked(X509Certificate x509certificate)`
    `boolean` | `isRevoked(X509Certificate cert, org.joda.time.DateTime validOn)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRevocationStatusChecker

          public AbstractRevocationStatusChecker()

  - ### Method Detail

    - #### isRevoked

          public boolean isRevoked(X509Certificate x509certificate)
                            throws CertificateException

      Specified by:
        `isRevoked` in interface `RevocationStatusChecker`
      Throws:
        `CertificateException`

    - #### isRevoked

          public boolean isRevoked(X509Certificate cert,
                                   org.joda.time.DateTime validOn)
                            throws CertificateException

      Specified by:
        `isRevoked` in interface `RevocationStatusChecker`
      Throws:
        `CertificateException`

    - #### flushCache

          public void flushCache()

      Description copied from interface: `SessionServiceWithCache`
      Method to flush the cache after invoking this method.
      Specified by:
        `flushCache` in interface `SessionServiceWithCache`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.